Bug 1118755 - Typos in subscription-manager(8) man page
Summary: Typos in subscription-manager(8) man page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: candlepin-bugs
QA Contact: John Sefler
URL:
Whiteboard:
Depends On: 1118012
Blocks: rhsm-rhel66
TreeView+ depends on / blocked
 
Reported: 2014-07-11 13:09 UTC by Chris Roberts
Modified: 2014-10-14 07:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: typos in subscription-manager man page Consequence: misspelled words in man page visible to users. Fix: fix the typos Result: man page contains words that are spelled correctly.
Clone Of: 1118012
Environment:
Last Closed: 2014-10-14 07:47:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1384 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2014-10-14 01:27:50 UTC

Description Chris Roberts 2014-07-11 13:09:34 UTC
+++ This bug was initially created as a clone of Bug #1118012 +++

Here's a sample of some of its typos:
  s/alll/all/
  s/whetehr/whether/
  s/notalready/not already/
  s/overide/override/
  s/registing/registering/

--- Additional comment from RHEL Product and Program Management on 2014-07-09 16:57:57 EDT ---

Since this bug report was entered in bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

--- Additional comment from Petr Bokoc on 2014-07-10 07:59:21 EDT ---

This belongs to the subscription-manager component, not the Installation Guide. Reassigning.

--- Additional comment from John Sefler on 2014-07-10 09:45:51 EDT ---

agreed...

[root@jsefler-7 ~]# rpm -q subscription-manager
subscription-manager-1.10.14-7.el7.x86_64
[root@jsefler-7 ~]# man -P cat subscription-manager | tail -1
version 2.8                 January 29, 2014     subscription-manager(8)


[root@jsefler-7 ~]# man -P cat subscription-manager > manpage.txt
[root@jsefler-7 ~]# grep alll manpage.txt
       --remove-alll
[root@jsefler-7 ~]# grep whetehr manpage.txt
       --show Shows whetehr auto-attach is enabled on the systems.
[root@jsefler-7 ~]# grep notalready manpage.txt
              Shows  pools  which  provide  products that are notalready
[root@jsefler-7 ~]# grep overide manpage.txt
              Adds  a  named  overide  with  the provided value to repos
              Removes a named overide from the repos specified with  the
[root@jsefler-7 ~]# grep registing manpage.txt
       scription management (registing and applying subscriptions) to be
[root@jsefler-7 ~]# 


Let's see if we can get this fixed sooner
Moving to RHEL5.11 for a fix in subscription-manager-1.11

--- Additional comment from RHEL Product and Program Management on 2014-07-10 09:57:41 EDT ---

This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.

--- Additional comment from Chris Snyder on 2014-07-10 13:04:05 EDT ---

pull request for fix here: https://github.com/candlepin/subscription-manager/pull/991

Comment 2 Bryan Kearney 2014-08-06 18:47:56 UTC
The fix from the clone is already in. MOving ot on_qa

Comment 3 Shwetha Kallesh 2014-08-08 18:10:54 UTC
Marking verified!!


[root@dhcp-0-177 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.23-1
subscription management rules: 5.11
subscription-manager: 1.12.11-1.el6
python-rhsm: 1.12.5-1.el6


[root@dhcp-0-177 ~]# man -P cat subscription-manager | tail -1
version 2.8                    January 29, 2014        subscription-manager(8)
[root@dhcp-0-177 ~]# man -P cat subscription-manager > manpage.txt
[root@dhcp-0-177 ~]# grep alll manpage.txt
[root@dhcp-0-177 ~]# grep whetehr manpage.txt
[root@dhcp-0-177 ~]# grep notalready manpage.txt
[root@dhcp-0-177 ~]# grep overide manpage.txt
[root@dhcp-0-177 ~]# grep registing manpage.txt

Comment 4 errata-xmlrpc 2014-10-14 07:47:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1384.html


Note You need to log in before you can comment on or make changes to this bug.